<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	# meta

	$title = 'Восстановление пароля » Мобильные WAP сайты';
	$description = system::check($config['description']);
	$keywords = system::check($config['keywords']);
	$tl = 'Восстановление пароля';

	# guest

	system::access(false);

	# post

	if (isset($_POST['CFMS'])): 

	$login          = system::check($_POST['login']);		
	$email      	= system::check($_POST['email']);
	$captcha_code   = system::check($_POST['captcha_code']);	
	$captcha        = system::check($_SESSION['captcha']);		

	$check = DB :: $dbh -> queryFetch("SELECT id,email_act,CK FROM user WHERE login = ? AND email = ?  LIMIT 1;", array($login,$email));		

	if (!empty($check)):	

	if ($check['email_act'] == 0):	

	if ($captcha == $captcha_code):		

	$password = rand(000000,999999);	

	DB :: $dbh -> query("UPDATE user SET password = ? WHERE id = ? LIMIT 1;", array($password,$check['id']));	

	cache_user::save($check['CK']);	

	$message = '
	Востановление пароля в рейтинге сайтов '.domain.'</br></br>
	<b>Ваши данные:</b></br>	
	- <b>Логин:</b> '.$login.'</br>
	- <b>Пароль:</b> '.$password.'</br></br>
	Не теряйте свои данные.</br>
	С уважением, администрация рейтинга '.domain.'.	
	';	
	
	mail::send($email, ''.domain.' Востановление пароля', ''.$message.'');

	system::header('/','Добро пожаловать!',1);	

	# error
	
	else: system::header('?','Не верный код с картинки'); endif;
	else: system::header('?','Востановление не возможно, E-mail не подтвержден'); endif;
	else: system::header('?','Данные не верно указаны'); endif;
	
	endif;

	# head

	require_once ( head );

	echo '
	<div class="touch">
	<form method="post">
	Введите логин:<br>
	<input name="login" type="text" value=""><br>
	Введите e-mail:<br>
	<input name="email" type="text" value=""><br>
	Введите код: <img src="'.site.'captcha" alt="captcha"><br>
	<input name="captcha_code" type="text" value=""><br>
	<input name="CFMS" type="submit" value="Получить пароль"></form>
	</div>
	<a href="'.site.'" class="touch">« На главную</a>
	';

	# foot

	require_once ( foot ) ;
	
?>